#include <stdio.h>
#include <stdlib.h>

int main()
{
    printf("Unesite Broj stalaktita i pericinu visinu\n");
    int N, L, H;
    scanf("%d%d", &N, &L);
    for(int i = 1; i < N; i++)
    {
        scanf("%d", &H);
        if(H <= L)
        {
            printf("%d", i);
            return 0;
        }
    }
    printf("-1\n");
    return 0;
}